summaryrefslogtreecommitdiffstats
path: root/system/otf-hermit
diff options
context:
space:
mode:
Diffstat (limited to 'system/otf-hermit')
-rw-r--r--system/otf-hermit/README4
-rw-r--r--system/otf-hermit/doinst.sh12
-rw-r--r--system/otf-hermit/otf-hermit.SlackBuild60
-rw-r--r--system/otf-hermit/otf-hermit.info10
-rw-r--r--system/otf-hermit/slack-desc19
5 files changed, 105 insertions, 0 deletions
diff --git a/system/otf-hermit/README b/system/otf-hermit/README
new file mode 100644
index 0000000000..65715b0657
--- /dev/null
+++ b/system/otf-hermit/README
@@ -0,0 +1,4 @@
+Hermit is a monospace font designed to be clear, pragmatic and very readable.
+Its creation has been focused on programming. Every glyph was carefully planned
+and calculated, according to defined principles and rules.
+For this reason, Hermit is coherent and regular.
diff --git a/system/otf-hermit/doinst.sh b/system/otf-hermit/doinst.sh
new file mode 100644
index 0000000000..63c309975f
--- /dev/null
+++ b/system/otf-hermit/doinst.sh
@@ -0,0 +1,12 @@
+# Update mkfontscale and mkfontdir:
+if [ -x /usr/bin/mkfontdir ]; then
+ ( cd /usr/share/fonts/misc
+ mkfontscale .
+ mkfontdir .
+ )
+fi
+
+# Update the X font indexes:
+if [ -x /usr/bin/fc-cache ]; then
+ /usr/bin/fc-cache -f
+fi
diff --git a/system/otf-hermit/otf-hermit.SlackBuild b/system/otf-hermit/otf-hermit.SlackBuild
new file mode 100644
index 0000000000..bce3375d9b
--- /dev/null
+++ b/system/otf-hermit/otf-hermit.SlackBuild
@@ -0,0 +1,60 @@
+#!/bin/sh
+
+# Slackware build script for hermit-font
+
+# written by Alex-P. Natsios <drakevr@2f30.org>
+#
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are met:
+# 1.- Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY
+# EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
+# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
+# DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
+# DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
+# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
+# LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=otf-hermit
+FONTNAM=Hermit
+VERSION=${VERSION:-1.21}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir -p $PKG/usr/share/fonts/OTF/
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz -C $PKG/usr/share/fonts/OTF/
+cd $PKG/usr/share/fonts/OTF/
+chown root:root Hermit-*.otf
+chmod 644 Hermit-*.otf
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $CWD/README $PKG/usr/doc/$PRGNAM-$VERSION
+mv $PKG/usr/share/fonts/OTF/LICENSE $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n -p $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/otf-hermit/otf-hermit.info b/system/otf-hermit/otf-hermit.info
new file mode 100644
index 0000000000..8939e4ab64
--- /dev/null
+++ b/system/otf-hermit/otf-hermit.info
@@ -0,0 +1,10 @@
+PRGNAM="otf-hermit"
+VERSION="1.21"
+HOMEPAGE="https://pcaro.es/p/hermit/"
+DOWNLOAD="https://pcaro.es/d/otf-hermit-1.21.tar.gz"
+MD5SUM="95e44bd81eb96f04e129ee019726db9a"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Alex-P. Natsios"
+EMAIL="drakevr@2f30.org"
diff --git a/system/otf-hermit/slack-desc b/system/otf-hermit/slack-desc
new file mode 100644
index 0000000000..e3a4a279db
--- /dev/null
+++ b/system/otf-hermit/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+otf-hermit: otf-hermit (monospace font)
+otf-hermit:
+otf-hermit: Hermit is a monospace font designed to be clear, pragmatic and very
+otf-hermit: readable.
+otf-hermit: Its creation has been focused on programming.
+otf-hermit: Every glyph was carefully planned and calculated, according to defined
+otf-hermit: principles and rules.
+otf-hermit: For this reason, Hermit is coherent and regular.
+otf-hermit:
+otf-hermit: Homepage: https://pcaro.es/p/hermit/
+otf-hermit: